﻿
using ThinkGeo.Core;

namespace ThinkGeoPerformanceApp
{
    public class MyEditOverlay : EditInteractiveOverlay
    {

        public MyEditOverlay()
        {
            //InitializeLayer(this.DragControlPointsLayer);
            InitializeLayer(this.EditShapesLayer);
            //InitializeLayer(this.EditsInProcessLayer);
            //InitializeLayer(this.ExistingControlPointsLayer);
            //InitializeLayer(this.ResizeControlPointsLayer);
            //InitializeLayer(this.RotateControlPointsLayer);
            //InitializeLayer(this.SelectedControlPointLayer);
            //InitializeLayer(this.SelectedEditsInProcessLayer);
        }

        protected override void OnFeatureEdited(FeatureEditedEditInteractiveOverlayEventArgs e)
        {
            base.OnFeatureEdited(e);
        }

        private void InitializeLayer(InMemoryFeatureLayer layer)
        {
            layer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = null;
            layer.ZoomLevelSet.ZoomLevel01.DefaultLineStyle = null;
            layer.ZoomLevelSet.ZoomLevel01.DefaultPointStyle = null;
            layer.ZoomLevelSet.ZoomLevel01.DefaultTextStyle = null;
            layer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;

            GraphicPointStyle graphicPointStyle = new GraphicPointStyle();
            layer.ZoomLevelSet.ZoomLevel01.CustomStyles.Add(graphicPointStyle);
            layer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
        }
    }
}
