﻿using System.IO;

namespace Arinc.Applications.Domain.Graphics.Pocos
{
    /// <summary>
    /// Helper class for graphic background images
    /// </summary>
    public class GraphicImageHelper
    {
        #region Members
        #endregion // Members

        #region Constructors
        #endregion // Constructors

        #region Events
        #endregion // Events

        #region Properties

        #region Public Properties
        #endregion // Public Properties

        #region Protected Properties
        #endregion // Protected Properties

        #region Private Properties
        #endregion // Private Properties

        #endregion // Properties

        #region Methods

        #region Public Methods

        /// <summary>
        /// Calculates the width and height of the specified raster image
        /// </summary>
        /// <param name="imageBytes"></param>
        /// <param name="width"></param>
        /// <param name="height"></param>
        public static void CalculateRasterImageWidthAndHeight(byte[] imageBytes, out float width, out float height)
        {
            width = 0.0F;
            height = 0.0F;

            using (Stream imageStream = new MemoryStream(imageBytes))
            {
                using (System.Drawing.Image image = System.Drawing.Image.FromStream(imageStream))
                {
                    if (image != null)
                    {
                        width = (float)image.Width;
                        height = (float)image.Height;
                    }
                }
            }
        }

        #endregion // Public Methods

        #region Protected Methods
        #endregion // Protected Methods

        #region Private Methods
        #endregion // Private Methods

        #endregion // Methods
    }
}
