﻿namespace Arinc.Applications.Domain.Graphics.Interfaces
{
    /// <summary>
    /// Raster background image interface
    /// </summary>
    public interface IGraphicBackgroundRasterImage : IGraphicBackgroundImage
    {
        /// <summary>
        /// Image as an array of bytes
        /// </summary>
        byte[] ImageBytes { get; }

        /// <summary>
        /// Gets the world location "file" that defines the image spatially
        /// </summary>
        byte[] ImageLocationBytes { get; }
    }
}
